summaryrefslogtreecommitdiff
path: root/qa
diff options
context:
space:
mode:
authorSage Weil <sage@inktank.com>2013-03-28 15:17:19 -0700
committerJosh Durgin <josh.durgin@inktank.com>2013-03-31 23:32:41 -0700
commitf0c9a200ec0ea0b0721b30d6e40ad32058e4cebd (patch)
tree1d4ed8afcd70186125cd3c3fe0d659b46a66636a /qa
parenta69532e86450f45b4200d61914df8d80899eb3ba (diff)
downloadceph-f0c9a200ec0ea0b0721b30d6e40ad32058e4cebd.tar.gz
librbd: diff_iterate fromsnapname after the end snap is also invalid
Signed-off-by: Sage Weil <sage@inktank.com>
Diffstat (limited to 'qa')
-rwxr-xr-xqa/workunits/rbd/diff.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/qa/workunits/rbd/diff.sh b/qa/workunits/rbd/diff.sh
index 6f9cd27ae42..1e79d7cf9d3 100755
--- a/qa/workunits/rbd/diff.sh
+++ b/qa/workunits/rbd/diff.sh
@@ -22,6 +22,9 @@ rbd bench-write foo --io-size 4096 --io-threads 5 --io-total 4096000 --io-patter
rbd snap create foo --snap=three
rbd snap create foo.copy --snap=two
+rbd export-diff foo@two --from-snap three foo.diff && exit 1 || true # wrong snap order
+rm foo.diff
+
rbd export-diff foo@three --from-snap two foo.diff
rbd import-diff foo.diff foo.copy
rbd snap ls foo.copy | grep three